RUN-PARTS(8)

NOME
run-parts - corre scripts ou programas num directório

SINOPSE
run-parts [--test] [--verbose] [--debug] [--report] [--lsbsysinit] [--regex=RE] [--umask=umask] [--arg=argument] [--after=PROG] [--before=PROG] [--exit-on-error] [--help] [--version] [--list] [--reverse] [--] DIRECTORY [DIRECTORY ...]

run-parts -V

DESCRIÇÃO
run-parts corre todos os ficheiros executáveis chamados dentro dos limites descritos em baixo, encontrados no directório directório. Os outros ficheiros e directórios são ignorados em silêncio. Se nenhuma das opções --lsbsysinit ou --regex for indicada, então os nomes devem consistir inteiramente de letras ASCII maiúsculas ou minúsculas números ASCII, underscores do ASCII, e traços menos (-) do ASCII. If the --lsbsysinit option is given, then the names must not end in .dpkg-old or .dpkg-dist or .dpkg-new or .dpkg-tmp, and must belong to one or more of the following namespaces: the LANANA-assigned namespace (^[a-z0-9]+$); the LSB hierarchical and reserved namespaces (^_?([a-z0-9_.]+-)+[a-z0-9]+$); and the Debian cron script namespace (^[a-zA-Z0-9_-]+$). Se a opção --regex for usada, os nomes têm de corresponder à extensão regular extensa e personalizada especificada como argumento dessa opção. OS ficheiros serão executados sequencialmente em ordem léxica (de acordo com as regras de ordenação de caracteres do C/POSIX) dos seus nomes a menos que a opção --reverse seja usada, o que nesse caso serão executados pela ordem oposta. If more than more DIRECTORY is specified, then files with the same name in earlier directories will take precedence over files in directories specified in later arguments. This allows run-parts to receive directories with scripts in both /usr and /etc but let files in /etc override scripts in /usr if they are named the same. The directory under /etc would need to be specified before the path under /usr for this to happen.

OPÇÕES

--test
    escreve os nomes dos scripts que deveriam ser executados, mas na realidade não os executa.

--list
    escreve os nomes de todos os ficheiros correspondentes (não limitado aos executáveis), mas na realidade não os executa. Esta opção não pode ser usada com --test.

-v, --verbose
    escreve o nome de cada script no stderr antes de correr.

--report
    semelhante a --verbose, mas apenas escreve os nomes dos scripts que produzem resultados (output). O nome do script é escrito para qualquer um dos stdout ou stderr onde o script esteja programado para escrever primeiro.

-d, --debug
    escreve no stderr quais scripts são selecionados para correr e quais não são.

--reverse
    reverte a ordem de execução dos scripts.

--exit-on-error
    termina assim que um script retorne com um código de terminar de não-zero.

--stdin
    multiplex stdin to scripts being run, using temporary file

--lsbsysinit
    usa namespaces LSB em vez do comportamento clássico.

--new-session
    corre cada script numa sessão de processo separado. Se usar esta opção, matar o run-parts não irá terminar o script a correr presentemente, este irá correr até o seu trabalho estar completo.

--regex=RE
    valida nomes de ficheiros contra a expressão regular extensa e personalizada RE. Veja a secção EXEMPLOS para um exemplo.

-u, --umask=umask
    define a umask para umask antes de correr os scripts. umask deve ser especificado em octal. Por predefinição o umask é definido para 022.

-a, --arg=argumento
    passa argumento aos scripts. Use --arg uma vez por cada argumento que deseja passar.

-A, --after=program
    run program after each script runs. The program will be called with three arguments: script name, exit status, and total amount written to the output and error streams. The last argument will always be 0 unless the --report option is also specified. If this option is used multiple times, only the last one will take effect. If the called program exits with an error code, it won't be called again.

-B, --before=program
    run program before running each script. The program will be called with one argument: the script name. If this option is used multiple times, only the last one will take effect. If the called program exits with an error code, it won't be called again.

--  especifica que é o fim das opções. Qualquer nome de ficheiro após -- não será interpretado como uma opção mesmo que comece com um hífen.

-h, --help
    mostra informação de utilização e termina.

-V, --version
    mostra a versão e o copyright e termina.

EXEMPLOS
Escreve os nomes de todos os ficheiros em /etc que começam com um 'p' e terminam com um 'd':

run-parts --list --regex '^p.*d$' /etc

COPYRIGHT
Copyright (C) 1994 Ian Jackson.

Copyright (C) 1996 Jeff Noxon.

Copyright (C) 1996, 1997, 1998 Guy Maor

Copyright (C) 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009 Clint Adams run-parts é software livre; veja a GNU General Public License versão 2 ou mais recente para condições ao copiar. Não tem garantia.